<!-- Schematron binding rules generated automatically. -->
<!-- Data binding to UBL syntax for TCE02 -->
<!-- (2009). Invinet Sistemes -->
<pattern id="UBL-TCE02" xmlns="http://purl.oclc.org/dsdl/schematron" is-a="TCE02">
  <param value="(. = /ubl:VCD//cac:Criterion/cbc:ID)" name="VCD-TCE02-R005"/>
  <param value="(. = /ubl:VCD/cac:Evidence/cbc:DocumentGroupID) " name="VCD-TCE02-R006"/>
  <param
    value="(not(normalize-space(cbc:ID)='')) or (not(normalize-space(cbc:BirthDate)='') and not(normalize-space(cbc:PlaceOfBirth)='') and not(normalize-space(cbc:FirstName)='') and not(normalize-space(cbc:FamilyName)=''))"
    name="VCD-TCE02-R007"/>
  <param
    value="not(child::text()) or matches(child::text(), '([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)')"
    name="VCD-TCE02-R008"/>
  <param
    value="(@schemeName='UUID Version 4') and (@schemeAgencyName='ietf') and (@schemeURI='http://tools.ietf.org/html/rfc4122')"
    name="VCD-TCE02-R009"/>
  <param value="//cac:Criterion/cbc:ProvingEvidenceID" name="Evidence_Reference"/>
  <param value="//cac:Evidence/cbc:ProvesCriterionID" name="Criterion_Reference"/>
  <param value="//cac:VCDIssuingService" name="Issuing_Service"/>
  <param value="//cac:PersonDetails" name="Person_Details"/>
  <param value="//cbc:ElectronicMail" name="EMail_Address"/>
  <param value="//cbc:UUID" name="UUID"/>
</pattern>
