<!-- Schematron binding rules generated automatically. -->
<!-- Data binding to UBL syntax for V02 -->
<!-- (2009). Invinet Sistemes -->
<pattern id="UBL-V02" xmlns="http://purl.oclc.org/dsdl/schematron" is-a="V02">
  <param value="not(cac:PolicyDocument/cac:DocumentReference/cac:IssuerParty)" name="VCD-V02-R002"/>
  <param
    value="not(preceding-sibling::cbc:AllEvidencesSuppliedIndicator='true') or (. = /ubl:VCD/cac:Evidence[cac:DocumentReference]/cbc:DocumentGroupID)"
    name="VCD-V02-R004"/>
  <param value="(. = /ubl:VCD//cac:Criterion/cbc:ID)" name="VCD-V02-R005"/>
  <param
    value="not(. = /ubl:VCD//cac:Criterion/cbc:ID) or (. = /ubl:VCD//cac:Criterion[(cbc:ProvingEvidenceID = $evidenceID)]/cbc:ID)"
    name="VCD-V02-R028b"/>
  <param value="(. = /ubl:VCD/cac:Evidence/cbc:DocumentGroupID) " name="VCD-V02-R006"/>
  <param
    value="not(. = /ubl:VCD/cac:Evidence/cbc:DocumentGroupID) or (. = /ubl:VCD/cac:Evidence[(cbc:ProvesCriterionID = $criterionID)]/cbc:DocumentGroupID)"
    name="VCD-V02-R028a"/>
  <param
    value="(not(normalize-space(cbc:ID)='')) or (not(normalize-space(cbc:BirthDate)='') and not(normalize-space(cbc:PlaceOfBirth)='') and not(normalize-space(cbc:FirstName)='') and not(normalize-space(cbc:FamilyName)=''))"
    name="VCD-V02-R007"/>
  <param
    value="not(child::text()) or matches(child::text(), '([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)')"
    name="VCD-V02-R008"/>
  <param
    value="(@schemeName='UUID Version 4') and (@schemeAgencyName='ietf') and (@schemeURI='http://tools.ietf.org/html/rfc4122')"
    name="VCD-V02-R009"/>
  <param value="(@languageID)and not(normalize-space(@languageID)='')" name="VCD-V02-R024"/>
  <param value="(@languageID)and not(normalize-space(@languageID)='')" name="VCD-V02-R027"/>
  <param value="not(count(//*[not(text()) and not(ancestor::ext:UBLExtensions)]) &gt; 0)"
    name="VCD-V02-R029"/>
  <param value="not(normalize-space(cac:Party/cac:PartyName/cbc:Name)='')" name="VCD-V02-R043"/>
  <param value="//cac:EconomicOperator" name="Economic_Operator"/>
  <param value="//cac:Criterion/cbc:ProvingEvidenceID" name="Evidence_Reference"/>
  <param value="//cac:Evidence/cbc:ProvesCriterionID" name="Criterion_Reference"/>
  <param value="//cac:VCDIssuingService" name="Issuing_Service"/>
  <param value="//cac:PersonDetails" name="Person_Details"/>
  <param value="//cbc:ElectronicMail" name="EMail_Address"/>
  <param value="//cbc:UUID" name="UUID"/>
  <param value="//cbc:LegalText" name="Legal_Text"/>
  <param value="//cbc:FurtherInformation" name="Further_Information"/>
  <param value="/ubl:VCD" name="VCD"/>
</pattern>
