<?xml version="1.0" encoding="UTF-8"?>
<!-- 
  
  UBL syntax binding to the P02  (Virtual Company Dossier Package validation)
  Created by B2B Toolkit by O. Bausà (updated for Peppol WP2 usage)
  
-->
<schema xmlns:cbc="urn:peppol:wp2:schema:xsd:CommonBasicComponents-2"
  xmlns:cac="urn:peppol:wp2:schema:xsd:CommonAggregateComponents-2"
  xmlns:ubl="urn:peppol:wp2:schema:xsd:VirtualCompanyDossierPackage-1"
  xmlns:ext="urn:oasis:names:specification:ubl:schema:xsd:CommonExtensionComponents-2"
  queryBinding="xslt2" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>VCD P02 bound to UBL</title>
  <ns prefix="ext" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonExtensionComponents-2"/>
  <ns prefix="cbc" uri="urn:peppol:wp2:schema:xsd:CommonBasicComponents-2"/>
  <ns prefix="cac" uri="urn:peppol:wp2:schema:xsd:CommonAggregateComponents-2"/>
  <ns prefix="ubl" uri="urn:peppol:wp2:schema:xsd:VirtualCompanyDossierPackage-1"/>
  <phase id="VCDP02_phase">
    <active pattern="UBL-P02"/>
  </phase>
  <!-- Abstract patterns -->
  <!-- ========================= -->
  <include href="abstract/VCD-P02.sch"/>
  <!-- Data Binding parameters -->
  <!-- ======================= -->
  <include href="UBL/VCD-UBL-P02.sch"/>
</schema>
