<!-- Schematron binding rules generated automatically. -->
<!-- Data binding to UBL syntax for P02 -->
<!-- (2009). Invinet Sistemes -->
<pattern id="UBL-P02" xmlns="http://purl.oclc.org/dsdl/schematron" is-a="P02">
  <param value="not(cac:PolicyDocument/cac:DocumentReference/cac:IssuerParty)" name="VCD-P02-R002"/>
  <param
    value="((cac:SingleTenderer) and not (cac:BiddingConsortium)) or (not(cac:SingleTenderer) and (cac:BiddingConsortium))"
    name="VCD-P02-R003"/>
  <param value="not(count(//*[not(text()) and not(ancestor::ext:UBLExtensions)]) &gt; 0)"
    name="VCD-P02-R029"/>
  <param
    value="not(child::text()) or matches(child::text(), '([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)')"
    name="VCD-P02-R008"/>
  <param
    value="(@schemeName='UUID Version 4') and (@schemeAgencyName='ietf') and (@schemeURI='http://tools.ietf.org/html/rfc4122')"
    name="VCD-P02-R009"/>
  <param value="//cac:IssuingService" name="Issuing_Service"/>
  <param value="//cbc:ElectronicMail" name="EMail_Address"/>
  <param value="//cbc:UUID" name="UUID"/>
  <param value="/ubl:VCDPackage" name="VCD_Package"/>
</pattern>
