<!-- Schematron rules generated automatically. -->
<!-- Abstract rules for P02 -->
<!-- (2009). Invinet Sistemes -->
<pattern abstract="true" id="P02" xmlns="http://purl.oclc.org/dsdl/schematron">
  <rule context="$Issuing_Service">
    <assert test="$VCD-P02-R002" flag="warning">[VCD-P02-R002]-The issuing service SHOULD not have
      an issuing party for the referred documents related to his policy document: the issuing
      service is himself the party issuing his policy document.</assert>
  </rule>
  <rule context="$VCD_Package">
    <assert test="$VCD-P02-R003" flag="fatal">[VCD-P02-R003]-EITHER the Single Tenderer OR the
      Bidding Consortium MUST exist.</assert>
    <assert test="$VCD-P02-R029" flag="warning">[VCD-P02-R029]-A VCD Package SHOULD not contain
      empty elements.</assert>
  </rule>
  <rule context="$EMail_Address">
    <assert test="$VCD-P02-R008" flag="warning">[VCD-P02-R008]-The electronic mail address SHOULD
      have a valid eMail address value.</assert>
  </rule>
  <rule context="$UUID">
    <assert test="$VCD-P02-R009" flag="fatal">[VCD-P02-R009]-A UUID MUST have the scheme name "UUID
      Version 4", scheme agency name "ietf" and scheme uri
      "http://tools.ietf.org/html/rfc4122".</assert>
  </rule>
</pattern>
