<!-- Schematron rules generated automatically. -->
<!-- Abstract rules for TCE02 -->
<!-- (2009). Invinet Sistemes -->
<pattern abstract="true" id="TCE02" xmlns="http://purl.oclc.org/dsdl/schematron">
  <rule context="$Evidence_Reference">
    <assert test="$VCD-TCE02-R006" flag="fatal">[VCD-TCE02-R006]-The Criterion MUST have references
      to existing Evidences.</assert>
  </rule>
  <rule context="$Criterion_Reference">
    <assert test="$VCD-TCE02-R005" flag="fatal">[VCD-TCE02-R005]-The Evidence MUST have references
      to existing Criteria. </assert>
  </rule>
  <rule context="$Person_Details">
    <assert test="$VCD-TCE02-R007" flag="fatal">[VCD-TCE02-R007]-If the relevant VCD Person does not
      have an ID, then the person's full name, birthdate and place of birth MUST exist.</assert>
  </rule>
  <rule context="$EMail_Address">
    <assert test="$VCD-TCE02-R008" flag="warning">[VCD-TCE02-R008]-The electronic mail address
      SHOULD have a valid eMail address value.</assert>
  </rule>
  <rule context="$UUID">
    <assert test="$VCD-TCE02-R009" flag="fatal">[VCD-TCE02-R009]-A UUID MUST have the scheme name
      "UUID Version 4", scheme agency name "ietf" and scheme uri
      "http://tools.ietf.org/html/rfc4122".</assert>
  </rule>
</pattern>
